Package docking

# Class AbstractErrDialog

java.lang.Object
docking.DialogComponentProvider
docking.ReusableDialogComponentProvider
docking.AbstractErrDialog

All Implemented Interfaces:
  `ActionContextProvider`, `StatusListener`, `TaskListener`

Direct Known Subclasses:
  `ErrLogDialog`, `ErrLogExpandableDialog`

public abstract class AbstractErrDialog extends ReusableDialogComponentProvider
A dialog that is meant to be extended for showing exceptions

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final int`
  `MAX_EXCEPTIONS`

  ### Fields inherited from class docking.DialogComponentProvider

  `applyButton, buttonPanel, cancelButton, dismissButton, okButton, rootPanel`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AbstractErrDialog(String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected final void`
  `dialogClosed()`
  Override this method if you want to do something when the dialog is made invisible
  `abstract String`
  `getMessage()`
  Returns the string message of this error dialog

  ### Methods inherited from class docking.ReusableDialogComponentProvider

  `close, dispose`

  ### Methods inherited from class docking.DialogComponentProvider

  `addAction, addApplyButton, addButton, addCancelButton, addDismissButton, addOKButton, addWorkPanel, alertMessage, alertMessage, applyCallback, cancelCallback, cancelCurrentTask, clearScheduledTask, clearStatusText, closeDialog, createSharedActions, dialogShown, dismissCallback, doInitialize, escapeCallback, executeProgressTask, getActionContext, getActions, getBackground, getBounds, getComponent, getDefaultButton, getDefaultSize, getDialogSize, getFocusComponent, getGlassPane, getHelpLocation, getId, getInitialLocation, getLocationOnScreen, getParent, getPreferredSize, getRememberLocation, getRememberSize, getStatusColor, getStatusLabel, getStatusText, getTaskMonitorComponent, getTaskScheduler, getTitle, getUseSharedLocation, hideTaskMonitorComponent, isApplyEnabled, isCancelEnabled, isDialogKeyBindingAction, isModal, isOKEnabled, isResizeable, isRunningTask, isShowing, isTransient, isVisible, notifyContextChanged, okCallback, removeAction, removeButton, removeWorkPanel, repack, setAccessibleDescription, setApplyEnabled, setApplyToolTip, setBackground, setCancelButtonText, setCancelEnabled, setCancelToolTip, setCursor, setDefaultButton, setDefaultSize, setDialogSize, setDismissToolTip, setFocusComponent, setGlassPane, setHelpLocation, setInitialLocation, setMinimumSize, setMinimumSize, setOkButtonText, setOkEnabled, setOkToolTip, setPreferredSize, setRememberLocation, setRememberSize, setResizable, setStatusJustification, setStatusText, setStatusText, setStatusText, setTitle, setTransient, setUseSharedLocation, showProgressBar, showTaskMonitorComponent, stopProgressTimer, taskCancelled, taskCompleted, toFront, toString, waitForCurrentTask`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### MAX_EXCEPTIONS

    protected static final int MAX_EXCEPTIONS
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AbstractErrDialog

    protected AbstractErrDialog(String title)

- ## Method Details

  - ### dialogClosed

    protected final void dialogClosed()
    Description copied from class: `DialogComponentProvider`
    Override this method if you want to do something when the dialog is made invisible
    Overrides:
      `dialogClosed` in class `DialogComponentProvider`

  - ### getMessage

    public abstract String getMessage()
    Returns the string message of this error dialog
    Returns:
      the message